wxWidgets: /home/Hamish/wxwidgets/wxWidgets3.0-3.0.5.1-1.src/wxWidgets3.0-3.0.5.1-1.i686/src/wxWidgets-3.0.5.1/interface/wx/longlong.h File Reference

| Version: 3.0.5

Classes | Macros | Functions
longlong.h File Reference

## Classes
class | wxLongLong
| This class represents a signed 64 bit long number. More...
class | wxULongLong
| This class represents an unsigned 64 bit long number. More...

## Macros
#define | wxLongLongFmtSpec
| This macro is defined to contain the `printf()` format specifier using which 64 bit integer numbers (i.e. More...

## Functions
wxLongLong_t | wxLL (number)
| This macro is defined for the platforms with a native 64 bit integer type and allow the use of 64 bit compile time constants: More...
wxLongLong_t | wxULL (number)
| This macro is defined for the platforms with a native 64 bit integer type and allow the use of 64 bit compile time constants: More...

## Macro Definition Documentation

## ◆ wxLongLongFmtSpec

#define wxLongLongFmtSpec

This macro is defined to contain the `printf()` format specifier using which 64 bit integer numbers (i.e.

those of type `wxLongLong_t`) can be printed. Example of using it:

#ifdef wxLongLong_t
wxLongLong_t ll = wxLL(0x1234567890abcdef);
printf("Long long = %" wxLongLongFmtSpec "x\n", ll);
#endif

See also
  wxLL()

Include file:

    #include <wx/longlong.h>

## Function Documentation

## ◆ wxLL()

wxLongLong_t wxLL | ( | number |  | ) |

This macro is defined for the platforms with a native 64 bit integer type and allow the use of 64 bit compile time constants:

#ifdef wxLongLong_t
wxLongLong_t ll = wxLL(0x1234567890abcdef);
#endif

See also
  wxULL(), wxLongLong

Include file:

    #include <wx/longlong.h>

## ◆ wxULL()

wxLongLong_t wxULL | ( | number |  | ) |

This macro is defined for the platforms with a native 64 bit integer type and allow the use of 64 bit compile time constants:

#ifdef wxLongLong_t
unsigned wxLongLong_t ll = wxULL(0x1234567890abcdef);
#endif

See also
  wxLL(), wxLongLong

Include file:

    #include <wx/longlong.h>

wxLL
wxLongLong_t wxLL(number)
This macro is defined for the platforms with a native 64 bit integer type and allow the use of 64 bit...
wxLongLongFmtSpec
#define wxLongLongFmtSpec
This macro is defined to contain the printf() format specifier using which 64 bit integer numbers (i....
Definition: longlong.h:225
wxULL
wxLongLong_t wxULL(number)
This macro is defined for the platforms with a native 64 bit integer type and allow the use of 64 bit...